REM 
REM -cr_beg-
REM ********************************************************************
REM IBM Confidential
REM OCO Source Materials
REM 5724-U38, 5724-U39, 5724-U48, 5655-V17, 5655-V19, 5655-V35, 5655-V37
REM (C) Copyright IBM Corp. 2012
REM The source code for this program is not published or otherwise
REM divested of its trade secrets, irrespective of what has
REM been deposited with the U.S. Copyright Office.
REM ********************************************************************
REM -cr_end-
REM 

REM Follow these steps to build the Optim Column Mape Exit with an ODPP interfact as a library/DLL for Windows 
REM 1. Set the VSROOT2K8 environment variable to the base of your Microsoft Visual Studio 2008 installed folder
REM 2. Create a base-type folder and copy:
REM    ODPPCCNEXIT.vcproj, ODPPCCNEXIT.sln, OdppCcnExitS.c (Source Code), PSTCMWXT.H, PSTCMXIT.H, PSTEXIT.H, makewin.bat(build script)
REM    into this base-type folder
REM 3. Within the base-type folder, create a sub-folders called:
REM    include
REM 4. Copy all ODPP-type header files from the Sample\include folder to your sub-folder called include
REM 6. Run this build script (makewin.bat)
REM    It will generate ODPPCCN.DLL into the Release-type sub-folderinside base-type folder where you have the source code.

SET mode=/rebuild
SET VSROOT=%VSROOT2K8%

:ODPPCCNLib
   Echo -------------------------------------------------------------------------------
   Echo -- %mode% Making ODPPCCNEXIT.VCPROJ Config:ODPPEnvLib - Win32 DevRelease
   Echo -------------------------------------------------------------------------------
   SET PATH=%VSROOT%\COMMON7\IDE;%VSROOT%\VC\BIN;%VSROOT%\COMMON7\TOOLS\BIN;C:\WINDOWS;C:\WINDOWS\System32;C:\Program Files\Microsoft SDKs\Windows\v6.0A\bin;C:\WINDOWS\COMMAND;C:\WINDOWS\System32\WBEM
   SET INCLUDE=%VSROOT%\VC\INCLUDE;C:\Program Files\Microsoft SDKs\Windows\v6.0A\Include;%VSROOT%\SDK;%VSROOT%\VC\ATLMFC\INCLUDE;
   SET LIB=%VSROOT%\VC\LIB;C:\Program Files\Microsoft SDKs\Windows\v6.0A\Lib
   DEVENV.COM ODPPCCNEXIT.sln %mode% "Release" /project  ODPPCCNEXIT.vcproj /useenv /out buildlog.txt
   
