/* 
* -cr_beg-
* ********************************************************************
* IBM Confidential
* OCO Source Materials
* 5724-U38, 5724-U39, 5724-U48, 5655-V17, 5655-V19, 5655-V35, 5655-V37
* (C) Copyright IBM Corp. 2012
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has
* been deposited with the U.S. Copyright Office.
* ********************************************************************
* -cr_end-
*/ 

/*----------------------------------------------------------------------------
*  File Name:   errcodes.h
*
*  Purpose:     Provides the Error Codes retunrned by the Srv Prv to the external 
*               calling application
*               The error codes will be 4 byte values declared as hex values
*---------------------------------------------------------------------------*/

#ifndef __MYERRCODES__
#define __MYRRCODES__

#include "ODPPCmnErrCodes.h"
/*======================================================
   My Provider error codes
  ====================================================*/
/*Range 0x00001B00 to 0x00001AFF  -> i.e 256 error codes */
#define ERRBASE								            0x10000000
#define MY_ERR_CTRLBLK_MALLOC_FAILED               ERRBASE + 1
#define MY_ERR_SRC_INDEX_OUT_OF_RANGE              ERRBASE + 2
#define MY_ERR_DESTCOL_NULL						      ERRBASE + 3
#define MY_ERR_INVALID_DEST_COLNAME                ERRBASE + 4
#define MY_ERR_DST_INDEX_OUT_OF_RANGE              ERRBASE + 5
#define MY_ERR_INVALID_DEST_COLUMN				      ERRBASE + 6
#define MY_ERR_DESTCOL_MALLOC_FAILED				   ERRBASE + 7
#define MY_ERR_SRC_COL_DATATYPE_NOTSUPPORTED       ERRBASE + 8
#define MY_ERR_DST_COL_DATATYPE_NOTSUPPORTED       ERRBASE + 9
#define MY_ERR_MYCTRLBLK_NOT_FOUND				      ERRBASE + 10
#define MY_ERR_ROWSET_EMPTY						      ERRBASE + 11
#define MY_ERR_NOT_ENOUGH_DATA_BLOCKS              ERRBASE + 12
#define MY_ERR_SRCCOLIDX_EXCEEDS_ROWDEF_COLCOUNT   ERRBASE + 13
#define MY_ERR_DSTCOLIDX_EXCEEDS_ROWDEF_COLCOUNT   ERRBASE + 14
#define MY_ERR_INVALID_METHOD   				         ERRBASE + 15
#define MY_ERR_NO_SOURCE_DATA_COL				      ERRBASE + 16
#define MY_ERR_SRC_COL_BUFF_NULL                   ERRBASE + 17
#define MY_ERR_NO_DEST_DATA_COL                    ERRBASE + 18
#define MY_ERR_NULL_DEST_BUFFER                    ERRBASE + 19
#define MY_ERR_INVALID_OPERATOR				         ERRBASE + 20
#define MY_ERR_GETINFO_BUFFER_SHORT                ERRBASE + 21
#define MY_INFO_REQUEST_NOT_SUPPORTED              ERRBASE + 22

#endif
