/* 
* -cr_beg-
* ********************************************************************
* IBM Confidential
* OCO Source Materials
* 5724-U38, 5724-U39, 5724-U48, 5655-V17, 5655-V19, 5655-V35, 5655-V37
* (C) Copyright IBM Corp. 2012
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has
* been deposited with the U.S. Copyright Office.
* ********************************************************************
* -cr_end-
*/ 

/*----------------------------------------------------------------------------
*  File Name:  params.h
*
*  Purpose:    Provides the Operands suported by all the providers
*---------------------------------------------------------------------------*/

#ifndef __MYPARAMS__
#define __MYPARAMS__

#include "ODPPCmnOprH.h"

#define PARAMBASE							         0xF000      //61440
#define PARAM_SRC1_COLINDEX  			         PARAMBASE+ 0
#define PARAM_SRC2_COLINDEX				      PARAMBASE+ 1
#define PARAM_OPERATOR					         PARAMBASE+ 2
#define PARAM_DEST_COLINDEX                  PARAMBASE+ 3
#define PARAM_DEST_COLNAME				         PARAMBASE+ 4

/* Range for MATH values from 0x1A9E to 0x1AAD. max 16 value */
#define PARAMVALUEBASE							   0xF020      //61472
/* Following values are provided to ODPP_OPR_MATH_OPERATOR */
#define PARAM_OPERATOR_ADD 					   PARAMVALUEBASE + 0
#define PARAM_OPERATOR_INC 					   PARAMVALUEBASE + 1
#define PARAM_OPERATOR_NONE 					   PARAMVALUEBASE + 2

#endif
