//<name> JOB , TIME=(,15),MSGCLASS=H,MSGLEVEL(1,1),                     00010042
// NOTIFY=&SYSUID                                                       00020029
//*                                                                     00030038
//*******************************************************************   00040038
//*                                                                     00050038
//*    LICENSED MATERIALS - PROPERTY OF IBM                             00060038
//*    5655-O30, 5655-O27, 5655-QCC, 5655-O19, 5655-O24, 5655-QCA,      00070038
//*    5655-QCB, 5655-O26                                               00080038
//*    (C) COPYRIGHT 2015 IBM CORP.                                     00090038
//*                                                                     00100038
//* INFOSPHERE OPTIM DATA PRIVACY: IOQSHCMP                             00110038
//* SAMPLE JCL TO COMPILE SAMPLE HPU USER EXIT PROGRAM IOQSHPUX.        00120038
//*                                                                     00130038
//*******************************************************************   00140038
//*                                                                     00150038
//* REQUIRED CUSTOMIZATION:                                             00160038
//*                                                                     00170038
//* IOQHCBLL: NAME OF OPTIM SAMPLE HPU EXIT COBOL SOURCE LIBRARY.       00180038
//*   CONTAINS BOTH THE COBOL MAIN PROGRAM (IOQSHPU) AND COBOL          00190038
//*   COPYBOOKS USED BY THE MAIN PROGRAM.                               00200038
//*                                                                     00210038
//* IOQHLOAD: NAME OF OUTPUT PROGRAM LIBRARY FOR THE COMPILER.          00220038
//*   THIS JCL WILL COMPILE THE COBOL SOURCE AND CREATE MEMBER          00230038
//*   (PROGRAM) IOQSHPUX IN THE OUTPUT LIBRARY IOQHLOAD.                00240038
//*   NOTE: AT SOME LATER TIME, WHEN THE PROGRAM IOQSHPUX IS            00250038
//*   INVOKED BY HPU, THE LIB IOQHLOAD MUST BE APF AUTHORIZED.          00260038
//*                                                                     00270038
// SET IOQHLOAD=<hlq>.IOQSHPUX.LOAD                                     00280042
// SET IOQHCOBL=<hlq>.IOQSHPUX.COBOL                                    00290042
//*                                                                     00300038
//* CUSTOMIZATION IS ALSO REQUIRED FOR "LKED.SYSIN DD *" BELOW:         00310038
//*   CHANGE THE UNIX SYSTEM SERVICES (USS) "INCLUDE" FILE              00320038
//*   NAMES TO USE THE INSTALLED PATH NAME OF THE ODPP "bin"            00330038
//*   DIRECTORY (IT SHOULD END IN LOWERCASE "odppbin").                 00340038
//*                                                                     00350038
//***************************************************************       00360038
//*                                                                     00370038
// JCLLIB ORDER=IGYV4R20.SIGYPROC                                       00380038
//STEP1 EXEC IGYWCL,LNGPRFX='IGYV4R20',REGION=0M,                       00390025
// LIBPRFX='CEE',SYSLBLK=3200,PGMLIB=&IOQHLOAD,                         00400037
// GOPGM=IOQSHPUX                                                       00410032
//COBOL.SYSPRINT DD SYSOUT=*                                            00420025
//COBOL.SYSIN    DD DISP=SHR,DSN=&IOQHCOBL(IOQSHPU)                     00430041
//COBOL.SYSLIB   DD DISP=SHR,DSN=&IOQHCOBL                              00440041
//LKED.SYSIN     DD *                                                   00450025
    INCLUDE '/usr/local/odpp11302ea/odppbin/libODPPDataCnv.x'           00460040
    INCLUDE '/usr/local/odpp11302ea/odppbin/libODPPParser.x'            00470040
    INCLUDE '/usr/local/odpp11302ea/odppbin/libODPPAdapter.x'           00480040
    NAME IOQSHPUX(R)                                                    00490032
/*                                                                      00500025
//LKED.IEWPARMS   DD *                                                  00510025
    'CASE(MIXED),REUS(RENT),MAP,DYNAM(DLL)'                             00520025
/*                                                                      00530025
