000100****************************************************************  00010036
000200*                                                                 00020036
000300*    LICENSED MATERIALS - PROPERTY OF IBM                         00030036
000400*    5655-O30, 5655-O27, 5655-QCC, 5655-O19, 5655-O24, 5655-QCA,  00040036
000500*    5655-QCB, 5655-O26                                           00050036
000600*    (C) COPYRIGHT 2015 IBM CORP.                                 00060036
000700*                                                                 00070036
000800* INFOSPHERE OPTIM DATA PRIVACY: COBOL MEMBER IOQSHPPG.           00080036
000900* ODPP DP-PARAMS-DEF AND DP-PARMGEN-DEF STRUCTURES.               00090036
001000*                                                                 00100036
001100****************************************************************  00110036
001200                                                                  00120036
001300* PARSER AND PARAMETER GENERATOR (PPG) STRUCTURES                 00130035
001400*                                                                 00140036
001500* DP-PARAMS-DEF                                                   00150036
001600* CONTAINS THE PARAMETERS FOR THE ODPP PARSER.                    00160036
001700* NOTE: ODPP DEVELOPER NOEL SAYS ENV IS IGNORED.                  00170036
001800 01 DP-PARAMS-DEF.                                                00180036
001900    05 EYE-CATCHER PIC X(4) VALUE "PRMA".                         00190036
002000    05 VERSION PIC S9(4) COMP-5 VALUE 91.                         00200036
002100    05 STRUCT-LEN PIC S9(4) COMP-5.                               00210036
002200    05 DP-PARAMS-DEF-BODY.                                        00220036
002300       10 KV-ARRAY-PTR        POINTER VALUE NULL .                00230036
002400       10 KV-ARRAY-SIZE       PIC S9(8) COMP-5 VALUE 0 .          00240036
002500       10 KEY-COUNT           PIC S9(8) COMP-5 VALUE 0 .          00250036
002600       10 KEY-MAX-BYTES       PIC S9(8) COMP-5 VALUE 0 .          00260036
002700       10 VALUE-MAX-BYTES     PIC S9(8) COMP-5 VALUE 0 .          00270036
002800       10 ENV                 PIC X VALUE X"00".                  00280036
002900       10 HAS-ERROR-VAL       PIC X VALUE X"00".                  00290036
003000          88 HAS-ERROR          VALUE X"01" THRU X"FF".           00300036
003100       10 ENCODING            PIC S9(4) COMP-5.                   00310036
003200       10 CONVERSION          PIC S9(4) COMP-5.                   00320036
003300       10 PARAM-STR-TYPE      PIC X VALUE "M".                    00330036
003400       10 FILLER              PIC X.                              00340036
003500       10 PARAM-STR-BYTES     PIC S9(8) COMP-5.                   00350036
003600       10 PARAM-MC-SS-PTR     POINTER VALUE NULL .                00360036
003700                                                                  00370036
003800* DPPS-MC-SS                                                      00380036
003900* CONTROL BLOCK FOR A MIXED STRING OF A CERTAIN CODEPAGE.         00390036
004000* DBMS-TYPE N = NONE                                              00400036
004100 01 DPPS-MC-SS.                                                   00410036
004200    05 DBMS-TYPE     PIC X VALUE "N".                             00420036
004300    05 FILLER        PIC XXX.                                     00430036
004400    05 CODEPAGE      PIC S9(8) COMP-5 VALUE 1140.                 00440036
004500    05 PARAM-STR-PTR POINTER VALUE NULL.                          00450036
004600                                                                  00460036
004700* PARAMETER GENERATOR STRUCTURE                                   00470036
004800 01 DP-PARMGEN-DEF.                                               00480036
004900      05 EYECATCHER        PIC X(4) VALUE 'PGDA'.                 00490036
005000      05 VERSION           PIC S9(4) COMP-5 VALUE 91 .            00500036
005100      05 STRUCT-LEN        PIC S9(4) COMP-5.                      00510036
005200      05 DP-PARAMS-DEF-PTR POINTER.                               00520036
005300      05 DP-SVC-DEF-PTR    POINTER.                               00530036
005400      05 SVC-ID-PTR        POINTER.                               00540036
005500      05 SVC-ID-BUF-LEN    PIC S9(8) COMP-5.                      00550036
005600      05 SVC-ID-LEN-PTR    POINTER.                               00560036
005700                                                                  00570036
